Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

1. Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

LinuxWalker
Delusion

(usa Debian)

Enviado em 18/02/2017 - 19:15h

Ao mandar instalar o evince (leitor pdf), o pacman quer instalar também o maldito gnome-desktop.
Qual sentido de colocar uma interface gráfica inteira como dependência de um pacote?
Eu amo apenas xfce.
screen: http://pt-br.tinypic.com/view.php?pic=zvplxy&s=9#.WKi4o9XJ3Qo
cada vez entendo menos por que Archeiros ainda pensam que instalam só os pacotes que querem.


  


2. MELHOR RESPOSTA

niquelnausea
niquelnausea

(usa Arch Linux)

Enviado em 18/02/2017 - 20:21h

não é a interface inteira


extra/gnome-desktop 1:3.22.2-1
Library with common API for various GNOME modules



pacman -Si gnome-desktop
Repositório : extra
Nome : gnome-desktop
Versão : 1:3.22.2-1
Descrição : Library with common API for various GNOME modules
Arquitetura : x86_64
URL : https://git.gnome.org/browse/gnome-desktop
Licenças : GPL LGPL
Grupos : Nenhum
Provê : Nenhum
Depende de : gsettings-desktop-schemas gtk3 libxkbfile xkeyboard-config iso-codes
Depend. opcionais : Nenhum
Conflita com : Nenhum
Substitui : Nenhum
Tamanho do download : 498.91 KiB
Tamanho instalado : 3055.00 KiB
Empacotador : Jan Alexander Steffens (heftig) <[email protected]>
Data da compilação : seg 07 nov 2016 16:20:51 BRST
Validado por : Soma MD5 Soma SHA-256 Assinatura


3. Re: Loucura do pacman ou sacanagem de quem empacotou?

José da Silva
zenull

(usa Outra)

Enviado em 18/02/2017 - 19:36h

wudze escreveu:

Ao mandar instalar o evince (leitor pdf), o pacman quer instalar também o maldito gnome-desktop.
Qual sentido de colocar uma interface gráfica inteira como dependência de um pacote?
Eu amo apenas xfce.
screen: http://pt-br.tinypic.com/view.php?pic=zvplxy&s=9#.WKi4o9XJ3Qo
cada vez entendo menos por que Archeiros ainda pensam que instalam só os pacotes que querem.


O problema é que o evince é feito pelo pessoal do Gnome, e o gnome adora fazer isso amarrar todos pacotes possíveis nele.

Não sei como funciona no arch, provavelmente deve ter um meio de instalar apenas o pacote que quer e ignorar as "dependências", que nesse caso concreto usando xfce não fará falta alguma.

Outra alternativa pra contornar o problema talvez fosse o caso de compilar de acordo com suas necessidades.

No Gentoo por exemplo basta o parâmetro -gnome e essas tralhas não são instaladas.


4. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 18/02/2017 - 19:45h

instala o atril:

[[email protected] ~]$ yaourt -Si atril
Repositório : community
Nome : atril
Versão : 1.16.1-2
Descrição : MATE document viewer (GTK2 version)
Arquitetura : x86_64
URL : http://mate-desktop.org
Licenças : GPL
Grupos : mate-extra
Provê : Nenhum
Depende de : djvulibre libspectre libgxps mathjax poppler-glib
Depend. opcionais : caja: Document Properties extension
texlive-bin: DVI support
Conflita com : atril-gtk3
Substitui : Nenhum
Tamanho do download : 1259,90 KiB
Tamanho instalado : 7233,00 KiB
Empacotador : Antonio Rojas <[email protected]>
Data da compilação : qui 19 jan 2017 20:22:56 BRST
Validado por : Soma MD5 Soma SHA-256 Assinatura




5. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 18/02/2017 - 19:48h

Quando isso me acontece eu pesquiso por outro aplicativo que faça o mesmo e instalo.

https://wiki.archlinux.org/index.php/List_of_applications/Documents#Graphical_2

Uma lista com leitores de PDF.

Talvez tenha uma opção no Pacman que ordene para que ele instale somente pacote x, mas como sou novato no Arch, ainda não aprendi a usar todo o Pacman.

Dá pra visualizar PDF pelo Firefox. Se o problema for escrever, pode-se usar o LibreOffice e salvar como PDF.




O Arch Linux define simplicidade como sem acréscimos desnecessários,
modificações ou complicações, e provê uma estrutura leve e UNIX-like
que permite a um usuário moldar o sistema de acordo com as suas ne-
cessidades. Em suma, uma abordagem elegante e minimalista.



6. KDE > All

Eris Ribeiro Junior
erisrjr

(usa Outra)

Enviado em 21/02/2017 - 13:05h

Como não é o ambiente do gnome completo (seria muito maior), eté que não é tudo isso.
A muito e foi-se o tempo, em que usar algo que faz parte do KDE ou mesmo do GNOME trazia o ambiente todo, mas ainda prefiro o okular, que considero o melhor software da categoria fora do Windows.



pacman -Si okular
Repository : extra
Name : okular
Version : 16.12.2-1
Description : Document Viewer
Architecture : x86_64
URL : http://kde.org/applications/graphics/okular/
Licenses : GPL LGPL FDL
Groups : kde-applications kdegraphics
Provides : None
Depends On : chmlib djvulibre libspectre libkexiv2 poppler-qt5 qca-qt5 kpty khtml kactivities threadweaver
Optional Deps : ebook-tools: mobi and epub support
kdegraphics-mobipocket: mobi support
Conflicts With : kdegraphics-okular
Replaces : kdegraphics-okular
Download Size : 1903.47 KiB
Installed Size : 6594.00 KiB
Packager : Antonio Rojas <[email protected]>
Build Date : Tue 07 Feb 2017 09:20:17 PM BRST
Validated By : MD5 Sum SHA-256 Sum Signature




pacman -Sy okular chmlib djvulibre libspectre libkexiv2 poppler-qt5 qca-qt5 kpty khtml kactivities threadweaver ebook-tools
...
Packages (12) chmlib-0.40-4 djvulibre-3.5.27-3 ebook-tools-0.2.2-3
kactivities-5.31.0-1 khtml-5.31.0-1 kpty-5.31.0-1 libkexiv2-16.12.2-1 libspectre-0.2.8-1
okular-16.12.2-1 poppler-qt5-0.52.0-1 qca-qt5-2.1.3-1 threadweaver-5.31.0-1

Total Download Size: 6.56 MiB
Total Installed Size: 26.68 MiB






-----------------------------------------------
cd /var/abs/brain/knowledge ; makepkg -si



7. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 21/02/2017 - 13:36h

wudze escreveu:

Ao mandar instalar o evince (leitor pdf), o pacman quer instalar também o maldito gnome-desktop.
Qual sentido de colocar uma interface gráfica inteira como dependência de um pacote?
Eu amo apenas xfce.
screen: http://pt-br.tinypic.com/view.php?pic=zvplxy&s=9#.WKi4o9XJ3Qo
cada vez entendo menos por que Archeiros ainda pensam que instalam só os pacotes que querem.


Desisti do Arch Linux no momento em que fui instalar o mplayer, mesmo desativando os pacotes recomendados ele me exigia instalar uma tonelada de porcarias que no Ubuntu são opcionais.


8. Re: Loucura do pacman ou sacanagem de quem empacotou?

Eris Ribeiro Junior
erisrjr

(usa Outra)

Enviado em 21/02/2017 - 14:11h

bilufe escreveu:

wudze escreveu:

Ao mandar instalar o evince (leitor pdf), o pacman quer instalar também o maldito gnome-desktop.
Qual sentido de colocar uma interface gráfica inteira como dependência de um pacote?
Eu amo apenas xfce.
screen: http://pt-br.tinypic.com/view.php?pic=zvplxy&s=9#.WKi4o9XJ3Qo
cada vez entendo menos por que Archeiros ainda pensam que instalam só os pacotes que querem.


Desisti do Arch Linux no momento em que fui instalar o mplayer, mesmo desativando os pacotes recomendados ele me exigia instalar uma tonelada de porcarias que no Ubuntu são opcionais.


Olha, nas versões atuais, acho que o Ubuntu pede mais coisas (Porem acredito que o que possui um pipe | na saída do apt, signifique um pacote ou outro. Então, a diferença nem é tão grande se for o caso):

Ubuntu 16.04.2 LTS


apt show mplayer
Package: mplayer
Version: 2:1.2.1-1ubuntu1
Priority: optional
Section: universe/video
Origin: Ubuntu
Maintainer: Ubuntu Developers <[email protected]>
Original-Maintainer: Debian Multimedia Maintainers <[email protected]>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 5,274 kB
Depends: liba52-0.7.4, libaa1 (>= 1.4p5), libasound2 (>= 1.0.16), libass5 (>= 0.13.0), libaudio2, libavcodec-ffmpeg56 (>= 7:2.4)
libavcodec-ffmpeg-extra56 (>= 7:2.4), libavformat-ffmpeg56 (>= 7:2.4), libavutil-ffmpeg54 (>= 7:2.4), libbluray1 (>= 1:0.2.2),
libbs2b0, libc6 (>= 2.15), libcaca0 (>= 0.99.beta17-1), libcdio-cdda1 (>= 0.83), libcdio-paranoia1 (>= 0.83)
libcdio13 (>= 0.83), libdca0, libdirectfb-1.2-9, libdv4, libdvdnav4 (>= 4.1.3)
libdvdread4 (>= 4.1.3), libenca0 (>= 1.9), libesd0 (>= 0.2.35), libfaad2 (>= 2.7),
libfontconfig1 (>= 2.11.94), libfreetype6 (>= 2.2.1), libfribidi0 (>= 0.19.2),
libgif7 (>= 5.1), libgl1-mesa-glx | libgl1, libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116, libjpeg8 (>= 8c), liblircclient0, libmad0 (>= 0.15.1b-3),
libmpeg2-4 (>= 0.5.1), libmpg123-0 (>= 1.13.7), libogg0 (>= 1.0rc3), libopenal1 (>= 1.14), libpng12-0 (>= 1.2.13-4),
libpostproc-ffmpeg53 (>= 7:2.4), libpulse0 (>= 0.99.1), libsdl1.2debian (>= 1.2.11),
libsmbclient (>= 2:4.0.3+dfsg1), libspeex1 (>= 1.2~beta3-1), libswscale-ffmpeg3 (>= 7:2.4),
libtheora0 (>= 1.0), libtinfo5 (>= 6), libvdpau1 (>= 0.2), libvorbisidec1, libx11-6, libxext6, libxinerama1, libxss1, libxv1,
libxvidcore4 (>= 1.2.2), libxvmc1, libxxf86dga1, libxxf86vm1, zlib1g (>= 1:1.1.4)



Suggests: bzip2, fontconfig, fonts-freefont-ttf, mplayer-doc, netselect | fping
Breaks: mplayer2 (<< 2:1.2)
Replaces: mencoder (<< 2:1.0~rc3+svn20090426-2), mplayer-doc (<< 2:1.0~rc3+svn20090426-2), mplayer-nogui (<< 2:1.0~rc3+svn20090426-2), mplayer2 (<< 2:1.2)
Homepage: https://www.mplayerhq.hu
Task: lubuntu-desktop, ubuntustudio-video, ubuntustudio-publishing, ubuntustudio-photography, ubuntustudio-graphics
Supported: 3y
Download-Size: 2,275 kB
APT-Sources: http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
Description: movie player for Unix-like systems
MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
.
Another big feature of MPlayer is the wide range of supported output
drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
DirectFB, but also SDL.
.
Not all of the upstream code is distributed in the source tarball.
See the README.Debian and copyright files for details.





Arch, atualizado até as 13:00 de 21/02/2017:


pacman -Si mplayer
Repository : extra
Name : mplayer
Version : 37916-1
Description : Media player for Linux
Architecture : x86_64
URL : http://www.mplayerhq.hu/
Licenses : GPL
Groups : None
Provides : None
Depends On : desktop-file-utils ttf-font enca libxss a52dec libvpx lirc libx264
libmng libdca aalib libxinerama smbclient jack libmad
libcaca libxxf86dga faac faad2 libxvmc mpg123
libcdio-paranoia rtmpdump libdvdnav ffmpeg

Optional Deps : None
Conflicts With : None
Replaces : None
Download Size : 2.15 MiB
Installed Size : 4.98 MiB
Packager : Levente Polyak <[email protected]>
Build Date : Wed 18 Jan 2017 03:09:13 PM BRST
Validated By : MD5 Sum SHA-256 Sum Signature






Algo que me mantém no arch, é justo a facilidade e simplicidade de gerenciar pacotes nele, com o tempo, até pensei em usar outra coisa, mas este fator ainda pesa forte a balança a favor dele, no meu caso.

-----------------------------------------------
KISS principle, RTFM and STFW = 42


9. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

José da Silva
zenull

(usa Outra)

Enviado em 21/02/2017 - 16:13h

Realmente o okular é muito bom, mas se não tiver usando o KDE, vai puxar ainda mais dependências que o evince.


10. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 21/02/2017 - 17:24h

wudze escreveu:

Ao mandar instalar o evince (leitor pdf), o pacman quer instalar também o maldito gnome-desktop.
Qual sentido de colocar uma interface gráfica inteira como dependência de um pacote?
Eu amo apenas xfce.
screen: http://pt-br.tinypic.com/view.php?pic=zvplxy&s=9#.WKi4o9XJ3Qo
cada vez entendo menos por que Archeiros ainda pensam que instalam só os pacotes que querem.


Velho ... de tanta tranqueira e inutilidade preferi deixar no Debian o Firefox como leitor padrão de PDF.
_______________________________________________________________
" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"


11. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

LinuxWalker
Delusion

(usa Debian)

Enviado em 24/02/2017 - 11:58h

Agradeço a todos que responderam.
No entanto, desisti do Arch e das distros Rolling em geral, a não ser para experimentalismo...
... pois a cada semana é uma coisa que pára de funcionar e só se descobre quando vai usar de novo. Dessa vez foi o thunar que parou de montar partição cryptografada.



12. Re: Loucura do pacman ou sacanagem de quem empacotou? [RESOLVIDO]

t
lostinspace00

(usa Slackware)

Enviado em 24/02/2017 - 15:08h

wudze escreveu:

Agradeço a todos que responderam.
No entanto, desisti do Arch e das distros Rolling em geral, a não ser para experimentalismo...
... pois a cada semana é uma coisa que pára de funcionar e só se descobre quando vai usar de novo. Dessa vez foi o thunar que parou de montar partição cryptografada.


po, que pena, cara...

eu tenho esse pavor com distros Rolling também... por isso que fui parar no Slackware. Instalei e nunca mais me preocupei com nada. Não tem que ficar atualizando toda semana, não tem esse drama..

Acho o conceito do Arch ser KISS muito legal mas esse lance de sempre querer ter o mais moderno do mais novo me dá idéia de um campo minado.. pra brincar deve ser legal mas pra dia-a-dia, para uma rotina mais corrida, não daria muito certo não..



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts